package com.dayou.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2024/6/12
 * created with IntelliJ IDEA.
 */
@Data
public class PersonalProdOverdueVO {

    /**
     * 订单编号
     */
    private String orderId;

    /**
     * 产品类型
     */
    private String production;

    /**
     * 坐落
     */
    private String location;

    /**
     * 面积
     */
    private BigDecimal acreage;
    /**
     * 单价
     */
    private BigDecimal price;
    /**
     * 总价
     */
    private BigDecimal amount;
    /**
     * 客户名称
     */
    private String clientName;
    /**
     * 业务来源
     */
    private String clientSubName;
    /**
     * 客户联系人
     */
    private String contactName;
    /**
     * 联系人电话
     */
    private String contactTel;

    /**
     * 委托人1
     */
    private String bailorA;

    /**
     * 委托人1电话
     */
    private String bailoraTel;

    /**
     * 委托人2
     */
    private String bailorB;

    /**
     * 委托人2电话
     */
    private String bailorbTel;

    /**
     * 客户经理
     */
    private String clientManager;
    /**
     * 外业人员
     */
    private String outwardStaffName;
    /**
     * 内业人员
     */
    private String inwardStaffName;
    /**
     * 定价人员
     */
    private String pricingStaffName;

    /**
     * 出库时间
     */
    private LocalDateTime repertoryOutTime;
}
